package org.processmining.datapetrinets.dsl.editor;

import javax.swing.JComponent;

import org.processmining.contexts.uitopia.annotations.Visualizer;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginVariant;

@Plugin(name = "DPN Text Editor", returnLabels = { "DPN Text Editor UI" }, returnTypes = { JComponent.class }, userAccessible = true, parameterLabels = { "Matching Instances" })
@Visualizer
public class DPNTextEditorVisualization {

	@PluginVariant(requiredParameterLabels = { 0 })
	public JComponent visualise(PluginContext pluginContext, DPNTextEditor textEditor) {
		return textEditor;
	}
}
