package org.processmining.datapetrinets.visualization.graphviz;

import org.apache.commons.lang3.StringEscapeUtils;
import org.processmining.plugins.graphviz.dot.DotNode;

import com.google.common.collect.ImmutableMap;

class VariableNode extends DotNode {
	
	public VariableNode(String label) {
		super(StringEscapeUtils.escapeXml(label), ImmutableMap.of("shape", "hexagon", 
				"fillcolor", "khaki1", "style", "filled", "fontsize", "24"));
	}
	
}